using System.Web.Mvc;
using Telerik.Web.Mvc;
using TelerikMvcApplication23.Models;

namespace TelerikMvcApplication23.Controllers
{
    public class HomeController : AsyncController
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        [GridAction]
        public void SelectAsync()
        {
        }

        public ActionResult SelectCompleted()
        {
            return View(new GridModel(new[] { new Product { ID = 1, Name = "Product 1" } }));
        }
    }
}
